com.sun.jna.platform.win32

## Class WTypes.LPSTR

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.WTypes.LPSTR

- All Implemented Interfaces:
    NativeMapped
  Enclosing interface:
    WTypes

      public static class WTypes.LPSTR
      extends PointerType

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WTypes.LPSTR.ByReference`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LPSTR()`
    `LPSTR(Pointer pointer)`
    `LPSTR(java.lang.String value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `void` | `setValue(java.lang.String value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LPSTR

          public LPSTR()

    - #### LPSTR

          public LPSTR(Pointer pointer)

    - #### LPSTR

          public LPSTR(java.lang.String value)

  - ### Method Detail

    - #### setValue

          public void setValue(java.lang.String value)

    - #### getValue

          public java.lang.String getValue()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `PointerType`

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.